SLD export not compatible with GeoServer?

baptwo
2012-07-20
2013-06-05
  • baptwo
    baptwo
    2012-07-20

    Hi all,

    I have a problem that you may help me to solve.

    I would like to custom the symbology of  layers into OpenJump and export the sld and create a new style into geoserver..

    But i made several test and it s always failing :(
    Does the sld generated are incompatible with GeoServer?

    i opened a Point shapefile where i set the symbology Square,red.

    SLD file generated by OpenJump =http://cjoint.com/?BGupoFc2eWm

    This is the error generated by GeoServer when parsing the sld
    http://cjoint.com/?BGuppPkvCYa

    Sorry I was oblige to post the sld and the geoserver error as link otherwise the forum categorize it as spam :(

    Thanks for your help.

    Baptiste

     
  • mentaer
    mentaer
    2012-07-20

    Hi Baptiste,

    thanks for reporting, seems like a bug.
    Though, none of us recently worked with SLD no ever imported to Geoserver (at least I havent heard that someone used the SLD in geoserver)

    Hence, I can't say when we may be able to solve it.

    However, as the error is saying there is an invalid attribute "Oj:dummy", etc., maybe you can just remove that part/tag in the SLD xml file?
    Or, meanwhile try with Quantum GIS?

     
  • baptwo
    baptwo
    2012-07-20

    Hi thanks for your quick reply.

    For information i tested the sld exporter from Kosmo and this one working fine.
    As it s seam to be the same base of code, that could help you to fix it.

    I will have a look to QGIS ;).
    Thanks
    Baptiste

     
  • mentaer
    mentaer
    2012-07-22

    Well, thanks for your fast reply too.
    I got some suggestions on the developer list (i.e. same as I said: removing the tags). But comparing with KOSMO code is even a  better suggestion, because its true that parts of the code base is very similar.

    stefan

     
  • Hi, I made a fix that should solve the 3 error messages from GeoServer.
    Could you try again (with the Nightly build distribution, from r2983) and report any problem.

    Thanks for your help,